
class ErrorCode{
    constructor(){
        this.errorHandleCode = {
            400: "请求错误",
            401: "页面未授权",
            402: "付款后访问",
            403: "禁止访问",
            404: "找不到访问页面",
            407: "请使用代理认证自身",
            415: "介质类型不受支持",
            500: "内部错误",
            501: "服务器不支持请求的工具",
            502: "网关错误",
            503: "服务器无法处理请求",
        }
    }
    static errorCode = {
        "20001": "参数错误",
        "20002": "token失效，请重新登陆",
        "20003": "任务失败",
        "20004": "创建集群失败",
        "20005": "VDC可用私网IP不足",
        "20006": "修改kafka集群名称失败：该集群名称已存在！",
        "20007": "集群状态异常",
        "20009": "节点状态异常",
        "20010": "操作异常",
        "20100": "调用接口失败",
        "20101": "云主机接口调用失败",
        "20102": "订单接口调用失败",
        "20103": "算费接口调用失败",
        "20105": "消息中心接口调用出错",
        "30001": "底层脚本调用失败",
        "9999": "未知异常",
    }
    code(code, message){
        if(!code || !ErrorCode.errorCode[code]){
            return ""
        }
        return message || ErrorCode.errorCode[code]
    }
}

export default ErrorCode
